import { Cafs, FetchFunction } from '@pnpm/fetcher-base';
import { ResolveFunction } from '@pnpm/resolver-base';
import { FetchPackageToStoreFunction, RequestPackageFunction } from '@pnpm/store-controller-types';
export default function (opts: {
    engineStrict?: boolean;
    force?: boolean;
    nodeVersion?: string;
    pnpmVersion?: string;
    resolve: ResolveFunction;
    fetchers: {
        [type: string]: FetchFunction;
    };
    cafs: Cafs;
    ignoreFile?: (filename: string) => boolean;
    networkConcurrency?: number;
    storeDir: string;
    verifyStoreIntegrity: boolean;
}): RequestPackageFunction & {
    fetchPackageToStore: FetchPackageToStoreFunction;
    requestPackage: RequestPackageFunction;
};
