"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const promise_share_1 = __importDefault(require("promise-share"));
function safeDeferredPromise() {
    let _resolve;
    let _reject;
    const promiseFn = promise_share_1.default(new Promise((resolve, reject) => {
        _resolve = resolve;
        _reject = reject;
    }));
    return Object.assign(promiseFn, { resolve: _resolve, reject: _reject });
}
exports.default = safeDeferredPromise;
//# sourceMappingURL=safeDeferredPromise.js.map